Mac OS Mojave support

Is DUO supported for Mac 10.14 Mojave? I’ve downloaded the latest 1.0.4 client and it works for 10.13 High Sierra but nothing with Mojave.

Hey Robert,
Major macOS version upgrades may remove Duo’s MacLogon package. As documented at https://duo.com/docs/macos#restoring-duo, you’ll need to restore it with the restore_after_upgrade.py script included in the Duo MacLogon zip file.

In a Terminal window, change to the extracted MacLogon directory and run the restore script:

sudo python restore_after_upgrade.py

1 Like

I am currently having the same issue with a client that upgraded from 10.13 to 10.14 Mohave, no 2FA popup.

I ran the python script, and I have also uninstalled and reinstalled 1.0.4 to no avail on Mohave.

Hi @xjamiesonx,

Sorry to hear you’re having trouble with 2FA on Mojave. I recommend contacting support for further assistance with this. They’ll be the best equipped to help you!